﻿function createSilverlight()
{
	Silverlight.createObjectEx({
		source: 'Nabe.xaml',
		parentElement: document.getElementById('SilverlightPlugInHost'),
		id: 'SilverlightPlugIn',
		properties: {
			width: '400',
			height: '400',
			background:'#ffffff',
            isWindowless: 'false',
			version: '1.0'
		},
		events: {
			onLoad: startClock
		},		
		context: null 
	});
}
function startClock()
{
	setInterval(count,1000);
}
function onEnd(sender, args)
{
	sender.Stop();
}
function count()
{
	var d = new Date();
	var ag = document.getElementById('SilverlightPlugIn');
	ag.content.findName("time").Text = getTime(d);
	var sec = d.getSeconds();
	var sound = ag.content.findName("s" + sec);
	sound.Play();
	if (isAho(sec)) {
		ag.content.findName("aho").Begin();
	}
}
function getTime(d)
{
	var h = d.getHours();
	if (h < 10) h = "0" + h;
	var m = d.getMinutes();
	if (m < 10) m = "0" + m;
	var s = d.getSeconds();
	if (s < 10) s = "0" + s;
	return h + ":" + m + ":" + s;
}
function isAho(sec)
{
	if (sec % 3 == 0) return true;
	return (("" + sec).indexOf("3") >= 0)
}
if (!window.Silverlight) 
	window.Silverlight = {};
